#ifndef CATEGORY_ITEM_H
#define CATEGORY_ITEM_H

#include <QString>
#include "inventory.h"

// This class is used to hold the description and descriptor for a a generic
// category item
class category_item : public inventory
{
public:
    category_item();
    category_item(const QString& table, const QString& descriptor, const QString& description, int numOut, int total);
    ~category_item();
    const QString * getDescriptor();
    const QString* getDescription();
    void setDescriptor(const QString&);
    void setDescription(const QString&);

private:
    QString* descriptor;
    QString* description;
};

//This returns the pointer to the descriptor string
inline const QString* category_item::getDescriptor(){
    return this->descriptor;
}

//This returns the pointer to the description string
inline const QString* category_item::getDescription(){
    return this->description;
}

//This deletes the old descriptor string and creates a new one as a copy of the
//string passed in
inline void category_item::setDescriptor(const QString& descriptor){
    delete this->descriptor;
    this->descriptor = new QString(descriptor);
}

//This deletes the old description string and creates a new one as a copy of the
//string passed in
inline void category_item::setDescription(const QString &description){
    delete this->description;
    this->description = new QString(description);
}

#endif // CATEGORY_ITEM_H
