#ifndef CHECKOUT_H
#define CHECKOUT_H

#include <QDialog>
#include <QList>
#include "keywindow.h"
#include <QtGui/QGridLayout>
#include <QtGui/QComboBox>
#include <QtGui/QLabel>
#include <QtGui/QCheckBox>

namespace Ui {
    class Checkout;
}

// This class is used to display the inventory to checked-out and provide
// a means of selcting how many of the given items will be check-ed out,
// all other comments will be with method definitions.
class Checkout : public QDialog
{
    Q_OBJECT

public:
    explicit Checkout(QList<inventory*>* inv, KeyWindow* k, QWidget *parent = 0);
    ~Checkout();

private:
    Ui::Checkout *ui;

    KeyWindow* k;
    QGridLayout* lay;
    QVBoxLayout* topLayout;
    QList<QComboBox*>* amounts;
    QLabel* amountString;
    QList<QLabel*>* names;
    QCheckBox* date;


private slots:
    void accept();

};

#endif // CHECKOUT_H
