#include "database.h"

////////////////////////////////////////////////////////////////////
//User Management//
///////////////////////////////////////////////////////////////////////
bool Database::login(QString username, QByteArray password){

    bool verdict = false;
    QSqlQuery query(*dbs);
    query.prepare("select count(*) from users where username = ? and password = ?");
    query.bindValue(0,username);
    query.bindValue(1,password);
    if (!query.exec()){
        throw getErrorNumber(query.lastError());
    }
    //it doesnt have anything
    if (query.next()){
        qDebug() << query.value(0).toInt() << endl;
        if (query.value(0).toInt() == 1){
            verdict = true;
        }
    }
    return verdict;
}

bool Database::addUser(QString username, QByteArray password){
    bool verdict = false;
    qDebug() << username << "    " << password << "    " << password.length() << endl;
    QSqlQuery query(*dbs);

    query.prepare("insert into users (username, password) values (?, ?)");
    query.bindValue(0,username);
    query.bindValue(1,password);
    if (query.exec()){
        verdict = true;
    }
    else {
        throw getErrorNumber(query.lastError());
    }
    return verdict;
}

bool Database::resetPass(QString username, QByteArray password){
    bool verdict = false;
    QSqlQuery query(*dbs);

    query.prepare("update users set password = ? where username = ?");
    query.bindValue(1,username);
    query.bindValue(0,password);
    if (query.exec()){
        verdict = true;
    }
    else {
        throw getErrorNumber(query.lastError());
    }
    return verdict;
}

QStringList Database::getUsers(){
    QStringList names;
    QSqlQuery query(*dbs);
    query.prepare("select username from users ORDER BY username");
    if (!query.exec()){
        throw getErrorNumber(query.lastError());
    }
    while (query.next()){
        names.push_back(query.value(0).toString());
    }
    return names;
}

bool Database::removeUser(QString user){
    bool verdict = false;
    QSqlQuery query(*dbs);
    query.prepare("delete from users where username = ?");
    query.bindValue(0,user);
    if (query.exec()){
        verdict = true;
    }
    else {
        throw getErrorNumber(query.lastError());
    }
    return verdict;
}
///////////////////////////////////////////////////////////////////////////////
// End User Management
//////////////////////////////////////////////////////////////////////////////
