#ifndef DUEDATE_H
#define DUEDATE_H

#include <QtCore/QDate>

//This class is used to hold information about a peice of inventory that is due
//in the system
class dueDate
{
public:
    dueDate();
    ~dueDate();
    void setDueDate(QString);
    void setTransactionID(int);
    void setTable(const QString&);
    void setTNumber(const QString&);

    QString getDueDate();
    int getTransactionID();
    QString* getTable();
    QString* getTNumber();



private:
    QDate dateDue;
    int TransactionID;
    QString* table;
    QString* tNumber;
};

//This function takes a date string in ISO format ex. YYYY-MM-DD and sets the
//QDate member from it
inline void dueDate::setDueDate(QString date)
{
    this->dateDue = QDate::fromString(date,Qt::ISODate);
}

//This sets the transaction id for the checked out item
inline void dueDate::setTransactionID(int id)
{
    this->TransactionID = id;
}

//This sets the table name, or category name for the checked-out item
inline void dueDate::setTable(const QString &table)
{
    delete this->table;
    this->table = new QString(table);
}

//This sets the TNumber of the person who has checked out the item.
inline void dueDate::setTNumber(const QString &tNumber)
{
    delete this->tNumber;
    this->tNumber = new QString(tNumber);
}

//This gets a QString of the due date in ISO format
inline QString dueDate::getDueDate()
{
    return this->dateDue.toString(Qt::ISODate);
}

//This gets the transaction id for the item
inline int dueDate::getTransactionID()
{
    return this->TransactionID;
}

//This gets a pointer to the QString with the category name of the item
inline QString* dueDate::getTable()
{
    return this->table;
}

//This gets a pointer to the QString with the TNumber of the borrower
inline QString* dueDate::getTNumber()
{
    return this->tNumber;
}

#endif // DUEDATE_H
