#ifndef GROUP_H
#define GROUP_H

#include <QString>


//This class is used to hold the information about one group in the system
class group
{
public:
    group();
    group(int gID, const QString& groupName);
    ~group();
    int getGroupID();
    const QString* getGroupName();
    void setGroupID(int);
    void setGroupName(const QString&);

private:
    int gID;
    QString* groupName;
};

//This returns the group id number for the group
inline int group::getGroupID(){
    return gID;
}

//This returns a pointer to the QString with the group name
inline const QString* group::getGroupName(){
    return groupName;
}

//This sets the group ID number to the integer passed in
inline void group::setGroupID(int gID){
    this->gID = gID;
}

//This deletes the old group name string, and resets it to a copy of the passed
// in QString
inline void group::setGroupName(const QString& groupName){
    delete this->groupName;
    this->groupName = new QString(groupName);
}

#endif // GROUP_H
