#ifndef GROUPSELECTION_H
#define GROUPSELECTION_H

#include <QDialog>
#include <QList>
#include <QtGui/QCheckBox>
#include <QtGui/QLabel>
#include <QtGui/QGridLayout>

class person;
class group;

namespace Ui {
    class GroupSelection;
}

// This class is used to display the groups that a person is in and allow for
// the selection of one or more of those groups to remove the person from
class GroupSelection : public QDialog
{
    Q_OBJECT

public:
    explicit GroupSelection(person* p, QList<group*>* groups, QWidget *parent = 0);
    ~GroupSelection();

private:
    QGridLayout* lay;


    person *p;
    QList<QLabel*> labels;
    QList<QCheckBox*> checks;
    Ui::GroupSelection *ui;

private slots:
    void accept();
};

#endif // GROUPSELECTION_H
