#ifndef KEY_H
#define KEY_H

#include <QString>
#include "inventory.h"

//This class is used to keep the key name and tag number for keys in the system
class key : public inventory
{
public:
    key();
    key(const QString& keyName, int tagNum, int numOut, int total);
    ~key();
    const QString* getKeyName();
    int getTagNum();
    void setKeyName(const QString&);
    void setTagNum(int);

private:
    QString* keyName;
    int tagNum;
};

//This returns a pointer to a QString with the key name
inline const QString* key::getKeyName(){
    return this->keyName;
}

//This retuns the tag number for the key
inline int key::getTagNum(){
    return this->tagNum;
}

//This deletes the old key name and resets it with a copy of the QString passed in
inline void key::setKeyName(const QString &keyName){
    delete this->keyName;
    this->keyName = new QString(keyName);
}

//This sets the tag number to the integer passed in
inline void key::setTagNum(int tagNum){
    this->tagNum = tagNum;
}

#endif // KEY_H
