#include <QtGui/QApplication>
#include <QtSql>
#include <QLabel>
#include <QFile>
#include <QTextStream>
#include "keywindow.h"
#include "login.h"
#include "database.h"

QString dbuser;
QString dbpass;
QString dbhost;

//Global function to display the given string on the given label in red text
void setErrorLabel(QLabel *errorlabel, QString errorMsg){
    QString errTemp = "<font color='red'>%1</font>";
    errorlabel->setText(errTemp.arg(errorMsg));
}


//Global function to parse the configuration file and save it's values to
//global variables
bool readConfiguration(QLabel *errorLabel = NULL){
    QFile inF("KIA.conf");
    if (!inF.open(QFile::ReadOnly|QFile::Text)){
        if (errorLabel != NULL){
            setErrorLabel(errorLabel,"The configuration file could not be read.");
            return false;
        }
    }
    QTextStream in(&inF);
    while (!in.atEnd()){
        QStringList sp = in.readLine().split(':');
        if (sp.at(0) == "hname"){
            dbhost = sp.at(1);
        }
        else if (sp.at(0) == "MySQLu"){
            dbuser = sp.at(1);
        }
        else if (sp.at(0) == "MySQLp"){
            if (sp.count() == 2){
                dbpass = sp.at(1);
            }
            else {
                dbpass = "";
            }
        }
    }

   inF.close();
   return true;
}

int main(int argc, char *argv[])
{

    QApplication a(argc, argv);

    Login* l = new Login;

    if( l->exec() != QDialog::Accepted){
        return 1;
    }
    delete l;

    KeyWindow k;
    k.show();

    return a.exec();
}

