#ifndef PERSON_H
#define PERSON_H

#include <QString>

//This class holds information about one person in the system.
class person
{

public:
    person();
    ~person();
    const QString* getFirstName();
    const QString* getLastName();
    const QString* getTNumber();
    const QString* getStreetAddress();
    const QString* getHomePhone();
    const QString* getWorkPhone();
    const QString* getCellPhone();
    const QString* getEmail();
    void setFirstName(const QString&);
    void setLastName(const QString&);
    void setTNumber(const QString&);
    void setStreetAddress(const QString&);
    void setHomePhone(const QString&);
    void setWorkPhone(const QString&);
    void setCellPhone(const QString&);
    void setEmail(const QString&);


private:
    QString *firstName;
    QString *lastName;
    QString *TNumber;
    QString *strAddr;
    QString *HPhone;
    QString *WPhone;
    QString *CPhone;
    QString *email;

};

//This function returns a pointer to a QString with the person's First Name
inline const QString* person::getFirstName()
{
    return this->firstName;
}

//This function returns a pointer to a QString with the person's Last Name
inline const QString* person::getLastName()
{
    return this->lastName;
}

//This function returns a pointer to a QString with the person's TNumber
inline const QString* person::getTNumber()
{
    return this->TNumber;
}

//This function returns a pointer to a QString with the person's mailing address
inline const QString* person::getStreetAddress()
{
    return this->strAddr;
}

//This function returns a pointer to a QString with the person's Home phone number
inline const QString* person::getHomePhone()
{
    return this->HPhone;
}

//This function returns a pointer to a QString with the person's work phone number
inline const QString* person::getWorkPhone()
{
    return this->WPhone;
}

//This function returns a pointer to a QString with the person's cell phone number
inline const QString* person::getCellPhone()
{
    return this->CPhone;
}

//This function returns a pointer to a QString with the person's email address
inline const QString* person::getEmail()
{
    return this->email;
}

//This function deletes the old first name and resets it with a copy of the passed in QString
inline void person::setFirstName(const QString& firstName)
{
    delete this->firstName;
    this->firstName = new QString(firstName);
}

//This function deletes the old last name and resets it with a copy of the passed in QString
inline void person::setLastName(const QString& lastName)
{
    delete this->lastName;
    this->lastName = new QString(lastName);
}

//This function deletes the old TNumber and resets it with a copy of the passed in QString
inline void person::setTNumber(const QString& TNumber)
{
    delete this->TNumber;
    this->TNumber = new QString(TNumber);
}

//This function deletes the old street address and resets it with a copy of the passed in QString
inline void person::setStreetAddress(const QString& strAddr)
{
    delete this->strAddr;
    this->strAddr = new QString(strAddr);
}

//This function deletes the old home phone number and resets it with a copy of the passed in QString
inline void person::setHomePhone(const QString& HPhone)
{
    delete this->HPhone;
    this->HPhone = new QString(HPhone);
}

//This function deletes the old work phone number and resets it with a copy of the passed in QString
inline void person::setWorkPhone(const QString& WPhone)
{
    delete this->WPhone;
    this->WPhone = new QString(WPhone);
}

//This function deletes the old cell phone number and resets it with a copy of the passed in QString
inline void person::setCellPhone(const QString &CPhone)
{
    delete this->CPhone;
    this->CPhone = new QString(CPhone);
}

//This function deletes the old email address and resets it with a copy of the passed in QString
inline void person::setEmail(const QString& email
                             ){
    delete this->email;
    this->email = new QString(email);
}

#endif // PERSON_H
