#ifndef ROOM_H
#define ROOM_H

#include <QString>

//This class holds information about one room in the system.
class room
{
public:
    room();
    room(int, const QString&);
    ~room();
    int getRoomID();
    const QString *getRoomName();
    void setRoomID(int);
    void setRoomName(const QString&);

private:
    int roomID;
    QString* roomName;
};

//This returns the room ID for the room
inline int room::getRoomID(){
    return roomID;
}

//This returns a pointer to the QString with the room's name
inline const QString* room::getRoomName(){
    return roomName;
}

//This sets the room ID number to be the integer passed in
inline void room::setRoomID(int roomID){
    this->roomID = roomID;
}

//This deletes the old RoomName and resets it to a copy of the QString passed in
inline void room::setRoomName(const QString &roomName){
    delete this->roomName;
    this->roomName = new QString(roomName);
}

#endif // ROOM_H
