#ifndef DATABASE_H
#define DATABASE_H

#include <QCryptographicHash>
#include <QDebug>
#include <QtSql>
#include <QList>


class Database{

public:

    Database(QString connName, QString dbname = "cscinventory") throw(int);
    ~Database();
    //
    static QByteArray hashPassword(QString, QString);
    static int getErrorNumber(QSqlError);
    bool transaction();
    bool commit();
    bool rollback();
    //

    // Tables
    bool setInitialUser(QString, QByteArray);
    bool setupTables();
    //

private:
    QSqlDatabase *dbs;
    QString connName;

};

#endif // DATABASE_H
